
QGIS Application - Bug report #1184

Cannot reset field settings to <off> in layers properties

2008-07-25 06:27 AM - Marco Pasetti -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: GUI

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11244

Description

In the layer property window I set Rotation and Area scale fields and then press OK.

After that, when I open the property window again, and I try to set one of them to <off> again, I cannot do it, because I can only select one

of the fields of the related vector layer database.

Sample imagine attacched

Marco

Associated revisions

Revision e86fe1c7 - 2008-07-26 11:36 AM - Jürgen Fischer

fix #1184

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8917 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 7cc88b1e - 2008-07-26 11:36 AM - Jürgen Fischer

fix #1184

git-svn-id: http://svn.osgeo.org/qgis/trunk@8917 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-07-25 06:32 AM - Marco Pasetti -

Replying to marcopx:

In the layer property window I set Rotation and Artea scale fields and then press OK.

After that, when I open the property window again, and I try to set one of them to <off> again, I cannot do it, because I can only select one of the

fields of the related vector layer database.

Sample imagine attacched

Marco

The file size limit is too small, so I uploaded the image here: http://www.webalice.it/marco.pasetti/temp/qgis-bugs/bug001.png
#2 - 2008-07-25 08:07 AM - Maciej Sieczka -

Confirmed on Debian. Sample attached.

1. Take the attached shapefile.

2. In layer properties, set scale or rotation to some field, press OK.

3. Re-enter layer properties - you can't disable what you set in step 2.

#3 - 2008-07-25 03:17 PM - Tim Sutton

- Status changed from Open to In Progress

Note jpg images are generally smaller and attachable.

#4 - 2008-07-26 02:36 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from In Progress to Closed

fixed in

#5 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
